Get a category
One category in the portal, with its article count.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{id}
/
categories
/
{id}
Get a category
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"locale": "en",
"description": null,
"position": null,
"account_id": 1,
"icon": "",
"meta": {
"articles_count": 2
}
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the category.
Example:
1
Response
Success
Single-category responses are wrapped in a payload key.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a category
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals/{id}/categories/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"locale": "en",
"description": null,
"position": null,
"account_id": 1,
"icon": "",
"meta": {
"articles_count": 2
}
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}